Get Transaction
curl --request GET \
--url https://api.sandbox.nxos.io/v1/ledger/{ledger_key}/transaction/{transaction_key} \
--header 'Authorization: <authorization>'import requests
url = "https://api.sandbox.nxos.io/v1/ledger/{ledger_key}/transaction/{transaction_key}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.sandbox.nxos.io/v1/ledger/{ledger_key}/transaction/{transaction_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_moves": [
{
"asset_move_ref": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_account": {
"ref": "<string>",
"id": "<string>"
},
"destination_account": {
"ref": "<string>",
"id": "<string>"
},
"asset_code": "<string>",
"amount": "<string>",
"status": "EXPECTED",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"decline_type": "<string>",
"categories": [
"<string>"
],
"metadata": {}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"transaction_ref": "<string>"
}Transaction and Asset Moves
Retrieve a Transaction
GET
/
v1
/
ledger
/
{ledger_key}
/
transaction
/
{transaction_key}
Get Transaction
This retrieves a transaction with associated asset moves and metadata.
Headers
The Basic Authentication header. Format: "Basic {base64(orgID:apiKey)}"
Path Parameters
The key of the ledger. Examples:
- "123e4567-e89b-12d3-a456-426614174000"
- "id:123e4567-e89b-12d3-a456-426614174000"
- "ref:ledger:customer_a"
The key of the transaction. Examples:
- "123e4567-e89b-12d3-a456-426614174000"
- "id:123e4567-e89b-12d3-a456-426614174000"
- "ref:tx:payment:customer_a:2023-06-15"
Response
200 - application/json
The request has succeeded.
The unique internally assigned identifier of the transaction
The asset moves for the transaction
Show child attributes
Show child attributes
The created at timestamp
The updated at timestamp
The externally defined reference of the transaction